Subject: Re: linux-next: build warning after merge of the kbuild tree

From: Dave Jones <[email-masked]>
Date: Mon, 2 May 2011 00:36:43 -0400

On Mon, May 02, 2011 at 02:24:54PM +1000, Stephen Rothwell wrote:
 > Hi Dave,
 > 
 > On Mon, 2 May 2011 13:45:24 +1000 Stephen Rothwell <[email-masked]> wrote:
 > >
 > > On Sun, 1 May 2011 22:24:18 -0400 Dave Jones <[email-masked]> wrote:
 > > >
 > > > Which version of the patch got merged ? This should be guarded by cc-option checks.
 > > 
 > > It looks right to me (that's why I wrote "though I don't see why") but
 > > empirically we have a problem.
 > 
 > I do not get it for every compile fo a file, just a few times during a
 > whole kernel build.  Some config/arches do not produce any (like sparc32
 > defconfig).
 
That's interesting. That suggests that something isn't being built with KBUILD_CFLAGS.
I did a full defconfig build on x86-64 successfully (allmodconfig is churning away).
Can you point me at something that doesn't build ?

	Dave